[arch-commits] CVS update of extra/gnome/nautilus (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Sep 21 18:01:13 EDT 2007


    Date: Friday, September 21, 2007 @ 18:01:13
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/nautilus

Modified: PKGBUILD (1.39 -> 1.40)

upgpkg: nautilus 2.20.0-1
GNOME 2.20


----------+
 PKGBUILD |   21 ++++++++-------------
 1 file changed, 8 insertions(+), 13 deletions(-)


Index: extra/gnome/nautilus/PKGBUILD
diff -u extra/gnome/nautilus/PKGBUILD:1.39 extra/gnome/nautilus/PKGBUILD:1.40
--- extra/gnome/nautilus/PKGBUILD:1.39	Sat Aug  4 17:55:20 2007
+++ extra/gnome/nautilus/PKGBUILD	Fri Sep 21 18:01:13 2007
@@ -1,34 +1,29 @@
-# $Id: PKGBUILD,v 1.39 2007/08/04 21:55:20 jgc Exp $
+# $Id: PKGBUILD,v 1.40 2007/09/21 22:01:13 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=nautilus
-pkgver=2.18.3
-pkgrel=2
+pkgver=2.20.0
+pkgrel=1
 pkgdesc="The GNOME shell and file manager"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('librsvg>=2.16.1' 'eel>=2.18.3' 'libbeagle>=0.2.16.3' 'libexif>=0.6.13' 'gnome-icon-theme>=2.18.0' 'gconf>=2.18.0.1-4')
+depends=('librsvg>=2.18.2' 'eel>=2.20.0' 'libbeagle>=0.2.18' 'libexif>=0.6.16' 'gnome-icon-theme>=2.20.0')
 makedepends=('perlxml' 'pkgconfig')
 url="http://www.gnome.org"
 groups=('gnome')
 replaces=('fontilus')
-options=('!libtool')
+options=('!libtool' '!emptydirs')
 install=nautilus.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.18/${pkgname}-${pkgver}.tar.bz2
-	12_list-view_expand.patch
-	search-engine-simple-utf8.patch)
-md5sums=('e027b4e1a925122ef3e7f54323cc3c44' 'db774f1f95852ff3ed044d0eb65609fb'
-	 '0faad172904026de5861c32473c2446b')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.20/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('3856ec2ffeba786d12f8f6622e398c33')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np1 -i ${startdir}/src/12_list-view_expand.patch || return 1
-  patch -Np2 -i ${startdir}/src/search-engine-simple-utf8.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
 	      --disable-update-mimedb
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
   
   mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
   gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas




More information about the arch-commits mailing list